<?php
    //--------------------------------------------------------------------------------------------
    // graft.php
    //
    //--------------------------------------------------------------------------------------------
    function get_render_order()
    {
        //Some grafts, perhaps through my (our) own design faults in using CSs, work better
        //if the main content is rendered before or after the side menu content is rendered.
        //Most work fine with the side menus rendered first, then the main content.
        //use this value to render the sides before the main:
        //return 0;
         
        //for those that require the main content to be rendered first, use this value:
        return 1;
    }
     
    function drawHeader()
    {
        global $siteSettings;
         
        if ($siteSettings['slickurls'] == TRUE )
        {
            $cssfile = explode("/" , $_SERVER['SCRIPT_NAME'] );
            array_pop($cssfile );
             
            $csspath = implode("/", $cssfile );
            $g = $csspath . '/' . 'engine/grafts/' . $siteSettings['graft'] . '/';
            //$g = "../engine/grafts/" . $siteSettings['graft'] . "/";
        }
        else
            $g = "engine/grafts/" . $siteSettings['graft'] . "/";
         
        print("<!DOCTYPE html
            PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\"
            \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">
            <html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"en\" lang=\"en\">
            <head>
            <meta http-equiv=\"Content-Type\" content=\"text/html;charset=UTF-8\" />
            <link rel=\"alternate\" type=\"application/rss+xml\" title=\"Content Feed\" href=\"" . $siteSettings['siteurl'] . "/engine/shards/xmlcache/articles.rss\">
            <link rel=\"alternate\" type=\"application/rss+xml\" title=\"Blog Feed\" href=\"" . $siteSettings['siteurl'] . "/engine/shards/xmlcache/blog.rss\">
            <title>" . $siteSettings['titlebase'] . $siteSettings['titledesc'] . "</title>
            <style type=\"text/css\" media=\"screen\">@import \"" . $g . "graft.css\";
            </style>
            </head>
            <body>");
        include("engine/core/blur6ex.js");
         
        print("<div id=\"top\">A new graft for blur6ex -- parcel</div>");
         
         
         
    }
     
     
    function start_left()
    {
        print("<div id=\"left\">");
    }
     
    function end_left()
    {
        print("</div>");
    }
    function start_right()
    {
        print("<div id=\"right\">");
    }
     
    function end_right()
    {
        print("</div>");
    }
     
    function drawMenuTop($titleStr )
    {
        global $siteSettings;
        $g = "engine/grafts/" . $siteSettings['graft'] . "/";
         
        print("<div class=\"menutitle\">$titleStr</div>");
         
    }
     
     
    function drawMenuBottom()
    {
        global $siteSettings;
        $g = "engine/grafts/" . $siteSettings['graft'] . "/";
        print("<br />");
         
    }
     
    function draw_pre_post()
    {
        print("<div class=\"post\">
            <div class=\"entry\"><p>");
    }
     
    function draw_post_post()
    {
        print("</p></div></div>");
         
    }
     
     
     
     
     
     
     
    function drawMainTop()
    {
        global $siteSettings;
        $g = "engine/grafts/" . $siteSettings['graft'] . "/";
        print("<div id=\"middle\">");
         
    }
     
    function drawMainBottom()
    {
        print("</div>");
         
    }
     
    function drawReplyTop($tableType)
    {
         
        global $siteSettings;
        $g = "engine/grafts/" . $siteSettings['graft'] . "/";
        print("<div id=\"middle\">");
         
         
        /* <div class=\"$tableType\">
        <table width=\"100%\" cellpadding=2 cellspacing=0>
        <tr><td valign=top>*/
         
         
    }
     
    function drawFooter()
    {
         
        //<!-- This clearing element forces the wrapper to enclose the floated columns,
        // even when they are longer than the center content. IE and Op7 "auto" enclose
        // the floats when the wrapper has a dimension, as in this layout. --->
         
        print("<div id=\"footer\">blursoft blur6ex 2002-2004</div>");
        print("</body></html>");
         
    }
     
     
?>
